Table of Contents

Class: Printer | eric3/QScintilla/Printer.py
--- | ---

Class implementing the QextScintillaPrinter with a header.

Base Classes |
--- | ---
QextScintillaPrinter

Methods |
--- | ---
__init__ formatPage
| __init__

    __init__ ( self,  mode=QPrinter.ScreenResolution )

### Constructor

#### Arguments

mode
  mode of the printer (QPrinter....)

| formatPage

    formatPage (
            self,
            painter,
            drawing,
            area,
            pagenr,
            )

### Private method to generate a header line.

#### Arguments

painter
  the paint canvas (QPainter)
drawing
  flag indicating that something should be drawn
area
  the drawing area (QRectangle)
pagenr
  the page number (int)

Table of Contents

This document was automatically generated by HappyDoc version 2.1